unit UMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, Data.Bind.EngExt,
  Fmx.Bind.DBEngExt, Fmx.Bind.Editors, Data.DB, Data.Bind.Components,
  Data.Bind.DBScope, Data.Bind.DBLinks, Fmx.Bind.DBLinks, FMX.Edit, FMX.Layouts,
  FMX.Grid, Data.Win.ADODB, FMX.TabControl, System.Rtti, System.Bindings.Outputs,
  FMX.ExtCtrls, FMX.Types3D, FMX.Layers3D, FMX.Objects;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    TabControl1: TTabControl;
    TabItem1: TTabItem;
    TabItem2: TTabItem;
    TabItem3: TTabItem;
    ADOCnn: TADOConnection;
    ADOT: TADOTable;
    DS: TDataSource;
    StringGrid1: TStringGrid;
    Edit1: TEdit;
    Label1: TLabel;
    BindingsList1: TBindingsList;
    BindScopeDB1: TBindScopeDB;
    DBLinkStringGrid11: TBindDBGridLink;
    ADOTEmpNo: TIntegerField;
    ADOTLastName: TWideStringField;
    ADOTFirstName: TWideStringField;
    ADOTPhoneExt: TWideStringField;
    ADOTHireDate: TDateTimeField;
    ADOTSalary: TFloatField;
    BindExpressionLabel11: TBindExpression;
    DBLinkEdit1EmpNo1: TBindDBEditLink;
    CalendarEdit1: TCalendarEdit;
    Label2: TLabel;
    BindExpressionLabel21: TBindExpression;
    DBLinkCalendarEdit1HireDate1: TBindDBEditLink;
    BindGridListGrid11: TBindGridList;
    Button1: TButton;
    StatusBar1: TStatusBar;
    Edit2: TEdit;
    Edit3: TEdit;
    StyleBook1: TStyleBook;
    Viewport3D1: TViewport3D;
    Layer3D1: TLayer3D;
    Image1: TImage;
    Label3: TLabel;

    procedure Button1Click(Sender: TObject);
    procedure Edit3Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

uses
  ShellAPI;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Self.Close;
end;

procedure TForm1.Edit3Click(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar(Edit3.Text), nil, nil, 0);
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
  Layer3D1.AnimateFloat('RotationAngle.Y', 360, 6);
end;

end.
